MyGUI::ResourceManualPointer Class Reference

`#include <MyGUI_ResourceManualPointer.h>`

Inheritance diagram for MyGUI::ResourceManualPointer:
[legend]

## Public Types

typedef RTTIBase | Base
typedef ResourceManualPointer | RTTIBase
Public Types inherited from MyGUI::IPointer
typedef RTTIBase | Base
typedef IPointer | RTTIBase
Public Types inherited from MyGUI::IResource
typedef RTTIBase | Base
typedef IResource | RTTIBase
Public Types inherited from MyGUI::ISerializable
typedef RTTIBase | Base
typedef ISerializable | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions

virtual std::string_view | getTypeName () const override
virtual bool | isType (const std::type_info &_type) const override
template<typename Type>
bool | isType () const
void | deserialization (xml::ElementPtr _node, Version _version) override
void | setImage (ImageBox *_image) override
void | setPosition (ImageBox *_image, const IntPoint &_point) override
Public Member Functions inherited from MyGUI::IPointer
template<typename Type>
bool | isType () const
Public Member Functions inherited from MyGUI::IResource
template<typename Type>
bool | isType () const
const std::string & | getResourceName () const
void | setResourceName (std::string_view _value)
| IResource (IResource const &)=delete
IResource & | operator= (IResource const &)=delete
Public Member Functions inherited from MyGUI::ISerializable
template<typename Type>
bool | isType () const
virtual void | serialization (xml::ElementPtr, Version)
Public Member Functions inherited from MyGUI::IObject
template<typename Type>
bool | isType () const
template<typename Type>
Type * | castType (bool _throw=true)
template<typename Type>
const Type * | castType (bool _throw=true) const
virtual | ~IObject ()=default

## Static Public Member Functions

static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IPointer
static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IResource
static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ISerializable
static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static std::string_view | getClassTypeName ()

## Additional Inherited Members

Protected Member Functions inherited from MyGUI::IResource
| IResource ()=default
| ~IResource () override=default
Protected Attributes inherited from MyGUI::IResource
std::string | mResourceName

## Detailed Description

Definition at line 16 of file MyGUI_ResourceManualPointer.h.

## Member Typedef Documentation

## Base

typedef RTTIBase MyGUI::ResourceManualPointer::Base

Definition at line 18 of file MyGUI_ResourceManualPointer.h.

## RTTIBase

typedef ResourceManualPointer MyGUI::ResourceManualPointer::RTTIBase

Definition at line 18 of file MyGUI_ResourceManualPointer.h.

## Member Function Documentation

## deserialization()

void MyGUI::ResourceManualPointer::deserialization | ( | xml::ElementPtr | _node,
|  | Version | _version )

override virtual

Reimplemented from MyGUI::IResource.

Definition at line 16 of file MyGUI_ResourceManualPointer.cpp.

## getClassTypeName()

std::string_view MyGUI::ResourceManualPointer::getClassTypeName | ( |  | ) |

inline static

Definition at line 18 of file MyGUI_ResourceManualPointer.h.

## getTypeName()

virtual std::string_view MyGUI::ResourceManualPointer::getTypeName | ( |  | ) | const

inline override virtual

Get type name as string

Reimplemented from MyGUI::IPointer.

Definition at line 18 of file MyGUI_ResourceManualPointer.h.

## isType() [1/2]

template<typename Type>

bool MyGUI::ResourceManualPointer::isType | ( |  | ) | const

inline

Compare with selected type

Definition at line 18 of file MyGUI_ResourceManualPointer.h.

## isType() [2/2]

virtual bool MyGUI::ResourceManualPointer::isType | ( | const std::type_info & | _type | ) | const

inline override virtual

Compare with selected type

Reimplemented from MyGUI::IPointer.

Definition at line 18 of file MyGUI_ResourceManualPointer.h.

## setImage()

void MyGUI::ResourceManualPointer::setImage | ( | ImageBox * | _image | ) |

override virtual

Implements MyGUI::IPointer.

Definition at line 38 of file MyGUI_ResourceManualPointer.cpp.

## setPosition()

void MyGUI::ResourceManualPointer::setPosition | ( | ImageBox * | _image,
|  | const IntPoint & | _point )

override virtual

Implements MyGUI::IPointer.

Definition at line 44 of file MyGUI_ResourceManualPointer.cpp.

The documentation for this class was generated from the following files:

- MyGUI_ResourceManualPointer.h
- MyGUI_ResourceManualPointer.cpp